Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageMapToWindowLevelColors Class Reference

`#include <vtkImageMapToWindowLevelColors.h>`

Inheritance diagram for vtkImageMapToWindowLevelColors:

[legend]
Collaboration diagram for vtkImageMapToWindowLevelColors:

[legend]
List of all members.

## Detailed Description

map the input image through a lookup table and window / level it

Date:
  2002/12/11 14:26:22

Revision:
  1.10

The vtkImageMapToWindowLevelColors filter will take an input image of any valid scalar type, and map the first component of the image through a lookup table. This resulting color will be modulated with value obtained by a window / level operation. The result is an image of type VTK_UNSIGNED_CHAR. If the lookup table is not set, or is set to NULL, then the input data will be passed through if it is already of type UNSIGNED_CHAR.

See also:
  vtkLookupTable vtkScalarsToColors

Created by:
  - Avila, Lisa

CVS contributions (if > 5%):
  - Avila, Lisa (62%)
  - Martin, Ken (26%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageMapToWindowLevelColors.h)`
  - .`cxx` (`/Imaging/vtkImageMapToWindowLevelColors.cxx)`

Tests:
  vtkImageMapToWindowLevelColors (Tests)

Definition at line 54 of file vtkImageMapToWindowLevelColors.h.

## Public Types
typedef vtkImageMapToColors | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetWindow (float)
virtual float | GetWindow ()
virtual void | SetLevel (float)
virtual float | GetLevel ()
## Static Public Methods
vtkImageMapToWindowLevelColors * | New ()
int | IsTypeOf (const char *type)
vtkImageMapToWindowLevelColors * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageMapToWindowLevelColors ()
| ~vtkImageMapToWindowLevelColors ()
void | ExecuteInformation (vtkImageData *inData, vtkImageData *outData)
void | ExecuteInformation ()
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int extent[6], int id)
void | ExecuteData (vtkDataObject *output)
## Protected Attributes
float | Window
float | Level

## Member Typedef Documentation

typedef vtkImageMapToColors vtkImageMapToWindowLevelColors::Superclass

| Reimplemented from vtkImageMapToColors. Definition at line 58 of file vtkImageMapToWindowLevelColors.h.

## Constructor & Destructor Documentation

vtkImageMapToWindowLevelColors::vtkImageMapToWindowLevelColors | ( |  | ) | `[protected]`

vtkImageMapToWindowLevelColors::~vtkImageMapToWindowLevelColors | ( |  | ) | `[protected]`

## Member Function Documentation

vtkImageMapToWindowLevelColors* vtkImageMapToWindowLevelColors::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkImageMapToColors.

virtual const char* vtkImageMapToWindowLevelColors::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageMapToColors.

int vtkImageMapToWindowLevelColors::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageMapToColors.

virtual int vtkImageMapToWindowLevelColors::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageMapToColors.

vtkImageMapToWindowLevelColors* vtkImageMapToWindowLevelColors::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageMapToColors.

void vtkImageMapToWindowLevelColors::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageMapToColors.

virtual void vtkImageMapToWindowLevelColors::SetWindow | ( | float |  | ) | `[virtual]`

| Set / Get the Window to use -> modulation will be performed on the color based on (S - (L - W/2))/W where S is the scalar value, L is the level and W is the window.

virtual float vtkImageMapToWindowLevelColors::GetWindow | ( |  | ) | `[virtual]`

| Set / Get the Window to use -> modulation will be performed on the color based on (S - (L - W/2))/W where S is the scalar value, L is the level and W is the window.

virtual void vtkImageMapToWindowLevelColors::SetLevel | ( | float |  | ) | `[virtual]`

| Set / Get the Level to use -> modulation will be performed on the color based on (S - (L - W/2))/W where S is the scalar value, L is the level and W is the window.

virtual float vtkImageMapToWindowLevelColors::GetLevel | ( |  | ) | `[virtual]`

| Set / Get the Level to use -> modulation will be performed on the color based on (S - (L - W/2))/W where S is the scalar value, L is the level and W is the window.

void vtkImageMapToWindowLevelColors::ExecuteInformation | ( | vtkImageData * | inData,
|  | vtkImageData * | outData
| ) | `[protected, virtual]`

| Reimplemented from vtkImageMapToColors.

void vtkImageMapToWindowLevelColors::ExecuteInformation | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImageMapToColors. Definition at line 82 of file vtkImageMapToWindowLevelColors.h. References vtkImageMapToColors::ExecuteInformation().

void vtkImageMapToWindowLevelColors::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | extent[6],
|  | int | id
| ) | `[protected, virtual]`

| If the subclass does not define an Execute method, then the task will be broken up, multiple threads will be spawned, and each thread will call this method. It is public so that the thread functions can call this method. Reimplemented from vtkImageMapToColors.

void vtkImageMapToWindowLevelColors::ExecuteData | ( | vtkDataObject * | output | ) | `[protected]`

| Reimplemented from vtkImageMapToColors.

## Member Data Documentation

float vtkImageMapToWindowLevelColors::Window`[protected]`

| Definition at line 87 of file vtkImageMapToWindowLevelColors.h.

float vtkImageMapToWindowLevelColors::Level`[protected]`

| Definition at line 88 of file vtkImageMapToWindowLevelColors.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageMapToWindowLevelColors.h